# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=2
NEED_PYTHON=2.5

inherit distutils eutils

MY_PN="${PN/-/_}"
MY_P="${MY_PN}_${PV}"

DESCRIPTION="GoogleAppEngine Framework"
SRC_URI="http://googleappengine.googlecode.com/files/${MY_P}.zip"
HOMEPAGE="http://code.google.com/appengine/"
SLOT="0"
LICENSE="Apache-2.0"
KEYWORDS="~amd64 ~x86"
IUSE=""

RESTRICT="nomirror"

RDEPEND="dev-python/pysqlite"
DEPEND="${RDEPEND}"

S="${WORKDIR}/${MY_PN}"

src_unpack() {
	unpack ${A}
}

src_compile() {
	# Correct python interpreter version
	find "${S}" -name "*.py" \
		-exec sed -i "s|^#!/usr/bin/env python$|#!/usr/bin/env python2.5|" {} +  \
		|| die "Correcting python interpreter version failed"
}

src_install() {
	exeinto /usr/bin
	doexe "${FILESDIR}"/dev_appserver

	exeinto /usr/lib/google_appengine
	doexe *.py

	insinto /usr/lib/google_appengine
	doins -r VERSION google lib tools templates

	dodoc BUGS LICENSE README RELEASE_NOTES
	docinto demos/guestbook
	dodoc demos/guestbook/*
	docinto new_project_template
	dodoc new_project_template/*
}
