# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

DESCRIPTION="Shell with advanced settings for sftp-server"
HOMEPAGE="http://mysecureshell.sourceforge.net/en/index.html"
SRC_URI="http://mysecureshell.free.fr/repository/index.php/source/${PN}_${PV}.tar.gz"
KEYWORDS="~amd64 ~x86"
SLOT="0"
LICENSE="GPL-2"

RESTRICT="nomirror"

DEPEND="net-misc/openssh"

S="${WORKDIR}/${PN}_${PV}"

src_unpack() {
	unpack "${A}"
	epatch "${FILESDIR}/${P}-root-detection.patch" || die "patching failed"
}

src_install() {
	# Workaround for unclean DESTDIR support
	addpredict /etc/sftp.shut

	emake DESTDIR="${D}" install || die "make install failed"
	prepallman
	dodoc LICENSE README-en README-fr
}
